/*
 * 
 *  This file is part of Sourceprojects.org Lycia Copyright 2010 noctarius
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * 
 */
package org.sourceprojects.lycia;

import org.sourceprojects.lycia.internal.configuration.TagConfigurationUtils.MethodDefinition;

/**
 * The interface for all internal Generators to create the actual
 * {@link Delegate} implementations. At the moment there are two delivered
 * implementations: A reflective and a Bytecode {@link Generator}.
 * 
 * @author noctarius
 * @since 1.9.1
 * 
 * @param <B>
 *            Type of ContextObject to use
 */
public interface Generator<B> {

	Delegate<B> generate(Object parser, MethodDefinition methodDefinition,
			LyciaParser<B> lyciaParser);

}
