/*
 * 
 *  This file is part of Sourceprojects.org Lycia Copyright 2010 noctarius
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * 
 */
package org.sourceprojects.lycia.internal.dataconverter;

import org.sourceprojects.lycia.DataConverter;
import org.sourceprojects.lycia.internal.bundled.Base64EnDecoder;

public class ByteDataConverter implements DataConverter {
	public static final DataConverter BASE_BYTE_DATA_CONVERTER = new ByteDataConverter();

	private ByteDataConverter() {
	}

	@Override
	public Object convert(final Object value, final Class<?> type)
			throws Exception {
		if (value.getClass().equals(byte[].class)) {
			return Base64EnDecoder.decode((byte[]) value);
		}

		return Base64EnDecoder.decode((String) value);
	}

}
