/*
 * 
 *  This file is part of Sourceprojects.org Lycia Copyright 2010 noctarius
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * 
 */
package org.sourceprojects.lycia.internal.dom;

import java.io.InputStream;
import java.io.Reader;

/**
 * 
 * @author noctarius
 * @since 0.0.1
 */
public class ResourceResolverResultImpl implements ResourceResolverResult {
	private String baseURI = null;
	private InputStream byteStream = null;
	private boolean certifiedText = false;
	private Reader characterStream = null;
	private String encoding = null;
	private String publicId = null;
	private String stringData = null;
	private String systemId = null;

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * org.sourceprojects.lycia.internal.dom.ResourceResolverResult#getBaseURI()
	 */
	public String getBaseURI() {
		return baseURI;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * org.sourceprojects.lycia.internal.dom.ResourceResolverResult#getByteStream
	 * ()
	 */
	public InputStream getByteStream() {
		return byteStream;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * org.sourceprojects.lycia.internal.dom.ResourceResolverResult#getCertifiedText
	 * ()
	 */
	public boolean getCertifiedText() {
		return certifiedText;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @seeorg.sourceprojects.lycia.internal.dom.ResourceResolverResult#
	 * getCharacterStream()
	 */
	public Reader getCharacterStream() {
		return characterStream;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * org.sourceprojects.lycia.internal.dom.ResourceResolverResult#getEncoding
	 * ()
	 */
	public String getEncoding() {
		return encoding;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * org.sourceprojects.lycia.internal.dom.ResourceResolverResult#getPublicId
	 * ()
	 */
	public String getPublicId() {
		return publicId;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * org.sourceprojects.lycia.internal.dom.ResourceResolverResult#getStringData
	 * ()
	 */
	public String getStringData() {
		return stringData;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * org.sourceprojects.lycia.internal.dom.ResourceResolverResult#getSystemId
	 * ()
	 */
	public String getSystemId() {
		return systemId;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * org.sourceprojects.lycia.internal.dom.ResourceResolverResult#setBaseURI
	 * (java.lang.String)
	 */
	public void setBaseURI(final String baseURI) {
		this.baseURI = baseURI;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * org.sourceprojects.lycia.internal.dom.ResourceResolverResult#setByteStream
	 * (java.io.InputStream)
	 */
	public void setByteStream(final InputStream byteStream) {
		this.byteStream = byteStream;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * org.sourceprojects.lycia.internal.dom.ResourceResolverResult#setCertifiedText
	 * (boolean)
	 */
	public void setCertifiedText(final boolean certifiedText) {
		this.certifiedText = certifiedText;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @seeorg.sourceprojects.lycia.internal.dom.ResourceResolverResult#
	 * setCharacterStream(java.io.Reader)
	 */
	public void setCharacterStream(final Reader characterStream) {
		this.characterStream = characterStream;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * org.sourceprojects.lycia.internal.dom.ResourceResolverResult#setEncoding
	 * (java.lang.String)
	 */
	public void setEncoding(final String encoding) {
		this.encoding = encoding;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * org.sourceprojects.lycia.internal.dom.ResourceResolverResult#setPublicId
	 * (java.lang.String)
	 */
	public void setPublicId(final String publicId) {
		this.publicId = publicId;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * org.sourceprojects.lycia.internal.dom.ResourceResolverResult#setStringData
	 * (java.lang.String)
	 */
	public void setStringData(final String stringData) {
		this.stringData = stringData;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * org.sourceprojects.lycia.internal.dom.ResourceResolverResult#setSystemId
	 * (java.lang.String)
	 */
	public void setSystemId(final String systemId) {
		this.systemId = systemId;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * org.sourceprojects.lycia.internal.dom.ResourceResolverResult#toString()
	 */
	@Override
	public String toString() {
		return "ResourceResolverResultImpl [baseURI=" + baseURI
				+ ", byteStream=" + byteStream + ", certifiedText="
				+ certifiedText + ", characterStream=" + characterStream
				+ ", encoding=" + encoding + ", publicId=" + publicId
				+ ", stringData=" + stringData + ", systemId=" + systemId + "]";
	}

}
