/*
 * 
 *  This file is part of Sourceprojects.org Lycia Copyright 2010 noctarius
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * 
 */
package org.sourceprojects.lycia.internal.logging;

import org.apache.log4j.Logger;

public class Log4jLogger extends LyciaLoggerWrapper {

	private final Logger logger;

	Log4jLogger(final String tag) {
		super(tag);
		logger = Logger.getLogger(tag);
	}

	@Override
	public void debug(final Object message) {
		logger.debug(message);
	}

	@Override
	public void debug(final Object message, final Throwable t) {
		logger.debug(message, t);
	}

	@Override
	public void error(final Object message) {
		logger.error(message);
	}

	@Override
	public void error(final Object message, final Throwable t) {
		logger.error(message, t);
	}

	@Override
	public void fatal(final Object message) {
		logger.fatal(message);
	}

	@Override
	public void fatal(final Object message, final Throwable t) {
		logger.fatal(message, t);
	}

	@Override
	public void info(final Object message) {
		logger.info(message);
	}

	@Override
	public void info(final Object message, final Throwable t) {
		logger.info(message, t);
	}

	@Override
	public void warn(final Object message) {
		logger.warn(message);
	}

	@Override
	public void warn(final Object message, final Throwable t) {
		logger.warn(message, t);
	}

	@Override
	public boolean isDebugEnabled() {
		return logger.isDebugEnabled();
	}

}
