/*
 * 
 *  This file is part of Sourceprojects.org Lycia Copyright 2010 noctarius
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * 
 */
package org.sourceprojects.lycia.internal.platform;

import java.lang.annotation.Annotation;

public class ParameterMatcher {

	private final Class<?> paramaeterClass;
	private final Class<? extends Annotation> annotationClass;

	public ParameterMatcher(final Class<?> paramaeterClass) {
		this(paramaeterClass, null);
	}

	public ParameterMatcher(final Class<?> paramaeterClass,
			final Class<? extends Annotation> annotationClass) {

		this.paramaeterClass = paramaeterClass;
		this.annotationClass = annotationClass;
	}

	public Class<? extends Annotation> getAnnotationClass() {
		return annotationClass;
	}

	public Class<?> getParamaeterClass() {
		return paramaeterClass;
	}

}
