/*
 * 
 *  This file is part of Sourceprojects.org Lycia Copyright 2010 noctarius
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * 
 */
package org.sourceprojects.lycia.internal.platform.android;

import java.util.Collections;
import java.util.List;

import org.sourceprojects.lycia.Delegate;
import org.sourceprojects.lycia.TagDefinitionParser;
import org.sourceprojects.lycia.annotations.Tag;
import org.sourceprojects.lycia.internal.platform.InternalXPathResolver;
import org.w3c.dom.Element;

public class AndroidCompatibleXPathResolverImpl<B> implements
		InternalXPathResolver<B> {

	@Override
	public List<TagDefinitionParser<B>> findXPathMapping(final Element element) {
		return Collections.emptyList();
	}

	@Override
	public boolean isNamespaceInXPathMappings(final String namespaceURI) {
		return false;
	}

	@Override
	public void registerXPathTagDefinitionParser(final Delegate<B> delegate,
			final Tag tag, final String namespaceURI) {

		throw new UnsupportedOperationException(
				"Android isn't capable of using XPath at the moment");
	}

}
