/*
 * 
 *  This file is part of Sourceprojects.org Lycia Copyright 2010 noctarius
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * 
 */
package org.sourceprojects.lycia.internal.platform.base;

import java.io.InputStream;
import java.io.Reader;

import org.sourceprojects.lycia.internal.dom.ResourceResolverResult;
import org.w3c.dom.ls.LSInput;

public class LSInputWrapper implements ResourceResolverResult {

	private final LSInput input;

	public LSInputWrapper(final LSInput input) {
		this.input = input;
	}

	@Override
	public String getBaseURI() {
		return input.getBaseURI();
	}

	@Override
	public InputStream getByteStream() {
		return input.getByteStream();
	}

	@Override
	public boolean getCertifiedText() {
		return input.getCertifiedText();
	}

	@Override
	public Reader getCharacterStream() {
		return input.getCharacterStream();
	}

	@Override
	public String getEncoding() {
		return input.getEncoding();
	}

	@Override
	public String getPublicId() {
		return input.getPublicId();
	}

	@Override
	public String getStringData() {
		return input.getStringData();
	}

	@Override
	public String getSystemId() {
		return input.getSystemId();
	}

	@Override
	public void setBaseURI(final String baseURI) {
		input.setBaseURI(baseURI);
	}

	@Override
	public void setByteStream(final InputStream byteStream) {
		input.setByteStream(byteStream);
	}

	@Override
	public void setCertifiedText(final boolean certifiedText) {
		input.setCertifiedText(certifiedText);
	}

	@Override
	public void setCharacterStream(final Reader characterStream) {
		input.setCharacterStream(characterStream);
	}

	@Override
	public void setEncoding(final String encoding) {
		input.setEncoding(encoding);
	}

	@Override
	public void setPublicId(final String publicId) {
		input.setPublicId(publicId);
	}

	@Override
	public void setStringData(final String stringData) {
		input.setStringData(stringData);
	}

	@Override
	public void setSystemId(final String systemId) {
		input.setSystemId(systemId);
	}

}
